.login-area {
  position: fixed;
  top: 50%;
  left: 50%;
  width: 30rem;
  z-index: 1;
  background-color: white;
  transform: translate(-50%, -50%);
}

.login-title {
  display: flex;
  flex-direction: row;
  height: 2em;
  padding-left: 1em;
  align-items: center;

  font-size: 1.8rem;
  background-image: none;
  background-color: #333;
}

.close-icon {
  height: 1.6em;
  margin-left: auto;
  margin-right: 0.5em;
  cursor: pointer;
}

.close-icon:hover {
  transform: scale(1.2) rotate(180deg);
  transition: 0.4s ease-in;
}

.login-title span {
  color: var(--clr-orange);
}

.input-area {
  display: flex;
  flex-direction: column;
  padding: 2em;
  margin: 0.7rem;
  background-color: #8e8d8a;
}

label {
  font-size: 1.3em;
  color: white;
}

.input-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100%;
  height: 2.3em;
  margin: 1em 0 2em 0;

  font-size: 1em;
  border: none;
  border-bottom: 3px solid var(--clr-orange);
  background-color: white;
}

.input-container ~ .input-container {
  margin-bottom: 1em;
}

.input-field {
  width: 100%;
  font-size: 1.1em;
  color: #333;
  outline: none;
  border: none;
}

.username-icon,
.psw-icon {
  height: 1.9em;
  width: 12%;
  margin: auto;
}

.btns-area {
  margin-top: 3em;
  display: flex;
  justify-content: center;
  gap: 3rem;
}

.login-btn,
.cancel-btn {
  height: 2.5em;
  width: 9rem;
}

.cancel-btn {
  background-color: white;
  color: #333;
}

.login-btn:hover {
  background-color: #333;
}

.cancel-btn:hover {
  background-color: white;
}

@media (max-width: 700px) {
  .login-area {
    width: 82%;
  }

  .login-title {
    width: calc(100% - 0.55em);
    height: 1.5em;
    padding-left: 0.6em;
    font-size: 1.4rem;
  }

  .input-area {
    padding: 1em;
  }

  label {
    font-size: 1em;
  }

  .input-container {
    width: 100%;
    height: 2.3em;
    margin: 0.5em 0 1em 0;
  }

  .input-container ~ .input-container {
    margin-bottom: 1em;
  }

  .input-field {
    width: 100%;
    font-size: 1em;
  }

  .username-icon,
  .psw-icon {
    margin: auto 0.2em;
  }

  .btns-area {
    gap: 1.5rem;
    margin: 1.5em auto 0 auto;
  }

  .login-btn {
    height: 2.5em;
    width: 6em;
    float: left;
  }
}

@media (max-width: 330px) {
  .login-area {
    width: 82%;
  }

  .login-title {
    font-size: 1.3rem;
  }

  .input-area {
    padding: 0.7em;
  }

  label {
    font-size: 0.9em;
  }

  .input-field {
    width: 100%;
    font-size: 0.9em;
  }

  .btns-area {
    gap: 0.7rem;
    margin: 0 auto 0 auto;
  }

  .login-btn {
    height: 2.5em;
    width: 5em;
    font-size: 0.8rem;
  }
}
